#include <iostream>
#include <algorithm>

using namespace std;

int prvii(int cifre[][20], int brc[], int a, int b)
{
    int nizab[40], nizba[40];
    for(int i=0; i<brc[a]; i++)
    {
        nizab[i]=cifre[a][brc[a]-i-1];
        nizba[brc[b]+i]=cifre[a][brc[a]-i-1];
    }
    for(int i=0; i<brc[b]; i++)
    {
        nizba[i]=cifre[b][brc[b]-i-1];
        nizab[brc[a]+i]=cifre[b][brc[b]-i-1];
    }
    bool n=false;
    for(int i=0; i<brc[a]+brc[b]; i++)
    {
        if(nizab[i]-nizba[i]>0)
        {
            return a;
            n=true;
            break;
        }
        else if(nizab[i]-nizba[i]<0)
        {
            return b;
            n=true;
            break;
        }
    }
    if(n==false)
    {
        return a;
    }
}

int main()
{
    long long broj[3], t;
    int cifre[3][20], brc[3];
    for(int i=0; i<3; i++)
    {
        cin>>broj[i];
        t=broj[i];
        int k=0;
        while(t>0)
        {
            cifre[i][k]=t%10;
            t=t/10;
            k++;
        }
         brc[i]=k;
    }
  int veci=prvii(cifre, brc, 0, 1), veci1;
  int najveci=prvii(cifre, brc, veci, 2);
  if(veci==najveci)
  {
    veci1=prvii(cifre, brc, 2, 1-veci);
  }
  else{
    veci1=veci;
  }
  cout<<broj[najveci]<<broj[veci1]<<broj[3-najveci-veci1];


    return 0;
}